<?php
/**
 * @package     Joomla.Site
 * @subpackage  Layout
 *
 * @copyright   Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('JPATH_BASE') or die;

$item = $displayData['item'];
$aparams = $displayData['params'];
$params = $item->params;
$positions = $aparams->get('block_position', 0);

$useDefList =
	($aparams->get('show_modify_date') ||
		$aparams->get('show_publish_date') ||
		$aparams->get('show_create_date') ||
		$aparams->get('show_hits') ||
		$aparams->get('show_category') ||
		$aparams->get('show_parent_category') ||
		$aparams->get('show_author'));
$aparams->set('show_category',1);

$date = new DateTime($item->params->get('ctm_start')); 
$enddate = new DateTime($item->params->get('ctm_end')); 

$tplparams = JFactory::getApplication()->getTemplate(true)->params;

$category_title = $item->category_title;

$title = $item->title;
?>
<div class="event-detail">
<div class="row" itemscope itemtype="http://schema.org/Event">
	<div class="col-sm-12">
		<div class="event-item-media">
			<?php echo JLayoutHelper::render('joomla.content.image.intro', $displayData); ?>
			<div class="event-countdown">
        <div id="event-countdown">
          <div class="new-count-wrap-outer">
            <div class="new-count-wrap">
              <div class="row sch-onmobile">
                <div class="col-md-6 col-sm-6 sch-content"><!-- Schedule Content -->
                  <div class="sch-content-inner">
                    <h4 class="mod-title">
                    	<small class="first-word"><?php echo $title; ?></small>
                    	<?php echo $category_title; ?>
											
                    </h4>
                    <div class="meta-date">
                        <?php echo $date->format('Y/m/d'); ?><br>
                        <?php echo $enddate->format('Y/m/d'); ?>

                        <meta itemprop="startDate" content="<?php echo $date->format('Y/m/d'); ?>" />
                    </div>
                  </div>
                </div>

                <?php 
                if(strtotime(date("Y/m/d")) > strtotime($enddate->format('Y/m/d'))){
                ?>
                <div class="col-md-6 col-sm-6 sch-countdown event-detail-outdate">
                <?php  echo JText::_( 'EVENT_OUTOFDATE' ); ?>
                </div>
                <?php
                }
                elseif(strtotime(date("Y/m/d")) >  strtotime($date->format('Y/m/d')) && strtotime(date("Y/m/d")) < strtotime($enddate->format('Y/m/d')) ){
                ?>
                <div class="col-md-6 col-sm-6 sch-countdown event-detail-current">
                <?php  echo JText::_( 'EVENT_CURRENT' ); ?>
                </div>
                <?php
                } else {
                ?>
                <div class="col-md-6 col-sm-6 sch-countdown">
                  <ul class="countdown">
                    <li>
                      <span class="days">0</span>
                      <p class="days_ref">day</p>
                    </li>
                    <li class="seperator">:</li>
                      <li>
                        <span class="hours">0</span>
                        <p class="hours_ref">hour</p>
                      </li>
                      <li class="seperator">:</li>
                      <li>
                        <span class="minutes">0</span>
                        <p class="minutes_ref">min</p>
                      </li>
                      <li class="seperator">:</li>
                      <li>
                        <span class="seconds">0</span>
                        <p class="seconds_ref">sec</p>
                      </li>
                    </ul>
                </div><!-- Schedule Countdown -->
                <?php } ?>
              </div>
            </div>
          </div>
        </div>
      </div>
	</div>
	</div>
	<hr>
<!-- Event Main -->
<div class="col event-main col-sm-8">

	<div class="event-item-main">
		<?php echo JLayoutHelper::render('joomla.content.blog_style_default_item_title', $item); ?>

		<?php if ($useDefList && in_array($positions, array(0, 2))) : ?>
			<aside class="article-aside article-aside-full">
				<?php echo JLayoutHelper::render('joomla.content.info_block.magazine_block', array('item' => $item, 'params' => $aparams, 'position' => 'above')); ?>
			</aside>
		<?php endif; ?>

		

		<?php if (!$aparams->get('show_intro', 1)) : ?>
			<?php echo $item->event->afterDisplayTitle; ?>
		<?php endif; ?>
		<?php echo $item->event->beforeDisplayContent; ?>

		<?php if ($useDefList && in_array($positions, array(1, 2))) : ?>
			<aside class="article-aside">
				<?php echo JLayoutHelper::render('joomla.content.info_block.block', array('item' => $item, 'params' => $aparams, 'position' => 'below')); ?>
			</aside>
		<?php endif; ?>

		<?php if ($aparams->get('show_intro', 0)) : ?>
			<?php echo $item->introtext; ?>
		<?php endif; ?>
		<section class="article-content" itemprop="description">
			<?php echo JLayoutHelper::render('joomla.content.info_block.topic', array('item' => $item)); ?>
			<?php echo $item->text; ?>

			<?php if ($params->get('show_tags', 1) && !empty($item->tags)) : ?>
				<?php echo JLayoutHelper::render('joomla.content.tags', $item->tags->itemTags); ?>
			<?php endif; ?>
		</section>

		<?php echo $item->event->afterDisplayContent; ?>
	</div>

</div>
<!-- // Event Main -->

<!-- Event Sidebar -->
<aside class="col  col-sm-4">
	<div class="event-aside">

	<?php if($item->params->get('ctm_logo')): ?>
	<div class="t3-module module event-logo">
		<div class="module-inner">
			<div class="module-ct" itemprop="image">
				<img src="<?php echo $item->params->get('ctm_logo'); ?>" alt="Event logo" >
			</div>
		</div>
	</div>
	<?php endif; ?>

	<div class="t3-module module event-location">
		<div class="module-inner">

			<h3 class="module-title">
				<span itemprop="location" itemscope itemtype="http://schema.org/Place">
          <?php echo JText::_('When / Where?'); ?>
          <meta itemprop="address" content="<?php echo $item->params->get('ctm_venue'); ?>" />
          <span itemprop="name" style="display: none;"><?php echo $item->params->get('ctm_addr1'); ?></span>
        </span>
			</h3>

			<div class="module-ct">

				<address>
					<strong><i class="fa fa-building"></i> <?php echo $item->params->get('ctm_venue'); ?></strong><br />
					<i class="fa fa-location-arrow"></i> <?php echo $item->params->get('ctm_addr1'); ?>  <?php echo $item->params->get('ctm_addr2'); ?>
				</address>

        <?php if($item->params->get('ctm_buy_link')) : ?>
        <p><a class="btn btn-primary" href="<?php echo $item->params->get('ctm_buy_link'); ?>" ><?php echo JText::_('TPL_BUY_LINK'); ?></a></p>
        <?php endif; ?>
				<?php if($item->params->get('ctm_latitude') && $item->params->get('ctm_longitude')): ?>
					<script src="https://maps.googleapis.com/maps/api/js?v=3.exp"></script>
					<script type="text/javascript">
						var map;
						function initialize() {
							var mapOptions = {
								zoom: 15,
								center: new google.maps.LatLng(<?php echo (float) $item->params->get('ctm_latitude'); ?>, <?php echo (float) $item->params->get('ctm_longitude'); ?>)
							};
							map = new google.maps.Map(document.getElementById('ja-event-map'),
								mapOptions);
						}
						google.maps.event.addDomListener(window, 'load', initialize);
					</script>
					<div id="ja-event-map" style="max-width: 100%; height: 200px;"></div>
				<?php endif; ?>
			</div>
		</div>
	</div>

	<?php
	$speakers = $item->params->get('ctm_speakers', array());
	$sid = isset($speakers['sid']) ? (array) $speakers['sid'] : array();
	if(count($sid) > 1 || !empty($sid[0])):
	?>
	<div class="t3-module module event-speakers">
		<div class="module-inner">

			<h3 class="module-title">
				<span><?php echo JText::_('Speakers'); ?></span>
			</h3>

			<div class="module-ct" itemprop="performer">
			<?php
			foreach($speakers['sid'] as $speaker) {
				echo JLayoutHelper::render('joomla.content.info_block.contact', array('contact_id' => $speaker));
			}
			?>
			</div>

		</div>
	</div>
	<?php endif; ?>

	<?php
	$sponsors = $item->params->get('ctm_sponsors', array());
	$sid = isset($sponsors['sid']) ? (array) $sponsors['sid'] : array();
	if(count($sid) > 1 || !empty($sid[0])):
	?>
	<div class="t3-module module event-sponsors">
		<div class="module-inner">

			<h3 class="module-title">
				<span><?php echo JText::_('Sponsors'); ?></span>
			</h3>

			<div class="module-ct">
			<?php
			foreach($sponsors['sid'] as $sponsor) {
				echo JLayoutHelper::render('joomla.content.info_block.contact', array('contact_id' => $sponsor));
			}
			?>
			</div>

		</div>
	</div>
	<?php endif; ?>

	<?php
	$tickets = $item->params->get('ctm_tickets', array());
	$tid = isset($tickets['class']) ? (array) $tickets['class'] : array();
	if(count($tid) > 1 || !empty($tid[0])):
	?>
	<div class="t3-module module event-tickets">
		<div class="module-inner">

			<h3 class="module-title">
				<span><?php echo JText::_('Tickets'); ?></span>
			</h3>

			<div class="module-ct">
				<table class="table">
					<thead>
					<tr>
						<th><?php echo JText::_('Type'); ?></th>
						<th><?php echo JText::_('Price'); ?></th>
						<th><?php echo JText::_('Sale End'); ?></th>
					</tr>
					</thead>
					<tbody>

					<?php foreach($tickets['class'] as  $index => $ticket_type): ?>
						<tr itemprop="offers" itemscope itemtype="http://schema.org/AggregateOffer">
							<td>
								<?php echo $ticket_type; ?>
								<?php if($tickets['desc'][$index]): ?>
									<span class="fa fa-question-circle hasTooltip" title="<?php echo htmlspecialchars($tickets['desc'][$index]); ?>"></span>
								<?php endif; ?>
							</td>
							<td itemprop="lowPrice">
                <?php echo $tickets['price'][$index] ? $tickets['price'][$index] : 0; ?>
                <a style="display: none" itemprop="url" href="<?php echo JURI::base(); ?>"></a>
              </td>
							<td itemprop="offerCount"><?php echo $tickets['end'][$index]; ?></td>
						</tr>
					<?php endforeach; ?>

					</tbody>
				</table>
			</div>

		</div>
	</div>
	<?php endif; ?>
</div>
</aside>
<!-- // Event Sidebar -->
</div>
</div>
<?php 
  if(strtotime(date("Y/m/d")) < strtotime($date->format('Y/m/d'))) { 
?>
<script type="text/javascript">
  (function($){
  jQuery(document).ready(function($) {
    $('.countdown').downCount({
        date: '<?php echo $date->format('Y/m/d'); ?>',
        offset: +10
    });
  });
})(jQuery);
</script>
<?php } ?>